Skip to content

Updates the status of a product.

PUT
/api/v1/provision/admin/assets/products/{productId}/status
curl --request PUT \
--url 'https://api.monetizeit.example/api/v1/provision/admin/assets/products/example/status?lifecycleStatus=0'

The possible values for lifecycleStatus are:

  • Development: The product is under development and can only be deployed to test environments.
  • Preview: The product is in preview and can be deployed to selected users.
  • Enabled: The product is enabled and available for deployment via entitlements.
  • Deprecated: The product is deprecated and will be phased out in the future. It is still available but not recommended for new deployments.
  • Retired: The product is retired and no longer available on new entitlements. Existing deployments continue to function until their licenses expire.
  • Suspended: The product’s availability is temporarily suspended. It is immediately unavailable, and existing licenses are invalidated upon refresh.
  • Revoked: The product has been revoked due to stability, compliance, or legal issues. It is immediately unavailable, and existing licenses are invalidated upon refresh.
  • Archived: The product is archived and is no longer available. It is immediately unavailable, and existing licenses are invalidated upon refresh.
  • oidc
    email profile roles
productId
required
string format: uuid

The unique identifier of the product to update.

lifecycleStatus
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7

The new status to set for the product.

No Content